Table of Contents

## Name

gluQuadricNormals - specify what kind of normals are desired for

quadrics

## C Specification

void gluQuadricNormals( GLUquadric* quad,

        GLenum normal )

eqn not supported

## Parameters

quad
  Specifes the quadrics object (created with gluNewQuadric).
normal
  Specifies the desired type of normals. Valid values are GLU_NONE, GLU_FLAT, and GLU_SMOOTH.

## Description

gluQuadricNormals specifies what kind of normals are desired for quadrics rendered with quad. The legal values are as follows:

GLU_NONE
  No normals are generated.
GLU_FLAT
  One normal is generated for every facet of a quadric.
GLU_SMOOTH
  One normal is generated for every vertex of a quadric. This is the initial value.

## See Also

gluNewQuadric(3G) , gluQuadricDrawStyle(3G) , gluQuadricOrientation(3G) , gluQuadricTexture(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- See Also